device_dump.h File Reference

C++ interface to dump fragments and shared memory contents for debugging. More...

`#include <stdio.h>`
`#include "cutlass/cutlass.h"`
Include dependency graph for device_dump.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| cutlass
| cutlass::debug

## Macros

#define | SHMEM_ROW_SIZE 128

## Functions

template<typename Fragment >
CUTLASS_DEVICE void | cutlass::debug::dump_fragment (Fragment const &frag, int N=0, int M=0, int S=1)
template<typename Element >
CUTLASS_DEVICE void | cutlass::debug::dump_shmem (Element const *ptr, size_t size, int S=1)

## Macro Definition Documentation

#define SHMEM_ROW_SIZE 128